package com.huatek.busi.mapper;

import com.huatek.busi.entity.*;
import com.huatek.busi.vo.EquipmentOnlineRateVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import javax.xml.crypto.Data;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


@Repository
public interface CubicleNumberMapper {


    List<CubicleStatus> findCubicleStart();

    List<CubicleStatus> findCubucleNumber(@Param("siteId") String siteId, @Param("mainEquipmentId") String mainEquipmentId,@Param("dTime") String dTime);

    List<EquipmentSumNumber> findSumCubucleNumber(@Param("dTime") String dTime);

    int findSumNumber();

    int findFaultNumber(@Param("dTime") String dTime);

    int faultNumber( String tId);

    List<RptTermperRecord> findCubiclePoint(@Param("siteId") String siteId,@Param("eqmId") String eqmId);

    List<RptTemperRate> findTemperRate(@Param("siteId") String siteId, @Param("eqmId") String eqmId,@Param("dBefore") String dBefore);

    List<RptTemper> findTemper(@Param("siteId") String siteId,  @Param("eqmId") String eqmId);

    List<EquipmentSensor> findEquipmentVoList();

    List<EquipmentSensorNumber> findEquipment();

    List<EquipmentSensorCache> findSensorCache();

    void updateCubliceSensor(EquipmentSensorNumber equipmentTemperatureCache);

    void addCubliceSensor(EquipmentSensorNumber equipmentTemperatureCache);

    List<EquipmentSensorCache> findCubicleSensor(@Param("mainEquipmentId") String mainEquipmentId);

    EquipmentOnlineRateVo findOnlineRateByCode(@Param("extEquipmentCode") String extEquipmentCode);

    EquipmentOnlineRateVo findOnlineRate();

    BigDecimal findAllSesorCodeNumber(@Param("mainEquipmentId") String mainEquipmentId);

    int finSumNumber(String siteId);

    EquipmentSumSensorCache findSumSensorNumber();
}
